Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 27 Apr 2022 16:18:53 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I returned 2 items from order number 7367608607  , the items are already collected by max agent yesterday. The refund amount is not yet credited to my max account although they are collected and the tags are still there.  I want to order again using the refund amount.  

I have contacted your agent and I was told that the refund process will take 2-3 business days to check and further 2-3 days to process!!!!!!!! 

This is a whole waste of time to me, I was waiting for the amount to place another order.  Compared to other outlets, Max should upgrade their processes to meet customers preferences. 

I returned items to splash and my credits were returned immediately after they picked up the returned items. For max to make customers wait 2-5 days so they process their work at their convenient is just not a good business to adopt.  I need this refund money to place a new order before Eid .. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4266738